Get the WireGuard configuration of a device in a location
get
Authorizations
defguard_sessionstringRequired
Path parameters
network_idinteger · int64Required
ID of the network.
device_idinteger · int64Required
ID of the device.
Responses
200
WireGuard configuration of the device.
text/plain
stringOptional
401
Session is missing or invalid.
application/json
403
Requires admin privileges or the request must target your own account.
application/json
404
Network or device not found.
application/json
500
Unable to get device configuration.
application/json
get/api/v1/network/{network_id}/device/{device_id}/config
GET /api/v1/network/{network_id}/device/{device_id}/config HTTP/1.1
Accept: */*
[Interface]
PrivateKey = YOUR_PRIVATE_KEY
Address = 10.0.0.12
DNS = 1.1.1.1
[Peer]
PublicKey = xTIBA5rboUvnH4htodjb6e697QjLERt1NAB4mZqp8Dg=
AllowedIPs = 10.0.0.0/24
Endpoint = vpn.example.com:50051
PersistentKeepalive = 25Last updated
Was this helpful?